package NameExtract;
# this package allows us to break up compound words that contain names
# as found in the 2021-2022 data set
use strict;

our %map = (
"'mia'" => 'mia',
"'navada'" => 'navada',
"adam's" => 'adam',
"alexia'xo" => 'alexia',
"alishai'm" => 'alisha',
"aly's" => 'aly',
"amanda's" => 'amanda',
"amelia's" => 'amelia',
"andie's" => 'andie',
"anniei'm" => 'annie',
"audrey's" => 'audrey',
"barbiei'm" => 'barbi',
"beckyi'm" => 'becky',
"bella's" => 'bella',
"carlacan't" => 'carla',
"carlai'm" => 'carla',
"carrie's" => 'carrie',
"cassie's" => 'cassie',
"coracan't" => 'cora',
"daisy's" => 'daisy',
"deborahi'm" => 'deborah',
"emmai'm" => 'emma',
"erikai'm" => 'erika',
"eva's" => 'eva',
"evai'm" => 'eva',
"evai'm" => 'eva',
"ghaya's" => 'ghaya',
"gisellei'm" => 'giselle',
"harley'll" => 'harley',
"hazel's" => 'hazel',
"heily's" => 'heily',
"i'mdaisy" => 'daisy',
"jadminskissi'm" => 'jadmin',
"jasminekissi'm" => 'jasmine',
"jazmyni'll" => 'jazmyn',
"jennai'm" => 'jenna',
"jennifer's" => 'jennifer',
"jenny's" => 'jenny',
"juliai'm" => 'julia',
"kaliyah's" => 'kaliyah',
"kaliyah's" => 'kaliyah',
"karen's" => 'karen',
"karencan't" => 'karen',
"katiecan't" => 'katie',
"kaylai'm" => 'kayla',
"kellycan't" => 'kelly',
"kellyi'm" => 'kelly',
"kellyit's" => 'kelly',
"kira'" => 'kira',
"krissyi'm" => 'krissy',
"laylai'm" => 'layla',
"laylai'm" => 'layla',
"lindsayi'm" => 'lindsay',
"lisa's" => 'lisa',
"maureen's" => 'maureen',
"mayaj'ai" => 'maya',
"melissacan't" => 'melissa',
"melissai'm" => 'melissa',
"mercedes'" => 'mercedes',
"miai'm" => 'mia',
"naomy's" => 'naomy',
"nikkii'm" => 'nikki',
"olivia's" => 'olivia',
"paige's" => 'paige',
"rosaliej'ai" => 'rosalie',
"rosaliej'ai" => 'rosalie',
"rose'" => 'rose',
"rosiei'm" => 'rosie',
"roxyj'ai" => 'roxy',
"sabrinai'm" => 'sabrina',
"sarah's" => 'sarah',
"sarahlee's" => 'sarah',
"selina's" => 'selina',
"selinacan't" => 'selina',
"selinai'm" => 'selina',
"shannia's" => 'shannia',
"stefania'" => 'stefania',
"taylori'm" => 'taylor',
"taylori'm" => 'taylor',
"tia's" => 'tia',
"trixiei'm" => 'trixie',
"vicky's" => 'vicky',
'brandy' => 'brandy',
'luna' => 'luna',
'ophelia' => 'ophelia',
'sophia' => 'sophia',
'stacy' => 'stacy',
'destiny' => 'destiny',
'gia' => 'gia',
'zoe' => 'zoe',
aaliyahangel => 'aaliyah',
aaliyahcome => 'aaliyah',
aaliyahcome => 'aaliyah',
aaliyahcome => 'aaliyah',
aaliyahi => 'aaliyah',
aaliyahi => 'aaliyah',
aaliyahyour => 'aaliyah',
aaliyahyour => 'aaliyah',
aaliyahyour => 'aaliyah',
aamira => 'amira',
aanya => 'anya',
aaylah => 'aayla',
abbyi => 'abby',
abyje => 'aby',
adaincall => 'ada',
addisonrey => 'addison',
adoreashlynn => 'ashlynn',
adrianah => 'adriana',
adrianah => 'adriana',
ajaa => 'aja',
akiraa => 'akira',
akiraa => 'akira',
akirra => 'kirra',
alanamillz => 'alana',
alayahh => 'alayah',
alayay => 'alaya',
alejandrabonita => 'alejandra',
alexamanthababy => 'amantha',
alexandracome => 'alexandra',
alexaoutcall => 'alexa',
alexiaclassy => 'alexia',
alexiai => 'alexia',
alexii => 'alexi',
alexislove => 'alexis',
alexisthe => 'alexis',
alexisyou => 'alexis',
alexkiss => 'alex',
alexxe => 'alexx',
alexxxishoney => 'alexxxis',
alexyacash => 'alexya',
alicenemptyland => 'alice',
aliceyou => 'alice',
aliciabryane => 'alicia',
aliciai => 'alicia',
aliciakabos => 'alicia',
aliciamy => 'alicia',
aliciaupscale => 'alicia',
aliciaxxx => 'alicia',
aliicia => 'ali',
alinayon => 'alina',
aliyalook => 'aliya',
aliyalook => 'aliya',
alvinaoklm => 'alvina',
alyaa => 'alya',
alyaaaa => 'alya',
alyaaaa => 'alya',
alysonclassy => 'alyson',
alyssababe => 'alyssa',
alyssae => 'alyssa',
alyy => 'aly',
amandaa => 'amanda',
amandabrun => 'amanda',
amandaim => 'amanda',
ambee => 'ambe',
amberclick => 'amber',
amberhaze => 'amber',
amberjade => 'amber',
ameliaa => 'amelia',
ameliaclick => 'amelia',
amelieoxvienjoueravecmoi => 'amelie',
amelieoxvienjoueravecmoi => 'amelie',
ameliiababyy => 'ameliia',
ameliyadior => 'ameliya',
amiraa => 'amira',
amkasia => 'kasia',
anaa => 'ana',
anaaa => 'ana',
analiaa => 'analia',
analiaa => 'analia',
analstasia => 'stasia',
anastasiaaa => 'anastasia',
anastasiaje => 'anastasia',
andiexox => 'andie',
angelababyl => 'angela',
angelahamilxo => 'angela',
angelatop => 'angela',
angelayoung => 'angela',
angeldivine => 'angel',
angelinaclick => 'angelina',
angelinaclick => 'angelina',
angelinai => 'angelina',
angelinayour => 'angelina',
angelinayour => 'angelina',
angeliquea => 'angelique',
angeliquea => 'angelique',
angellaverdon => 'angella',
angelnew => 'ange',
angiebaby => 'angie',
anitalooking => 'anita',
annabellelet => 'annabelle',
annabelleplease => 'annabelle',
annabelleshell => 'annabelle',
annei => 'anne',
annikayvr => 'annika',
aprillee => 'aprille',
aprilll => 'aprill',
ariaa => 'aria',
ariai => 'aria',
arianaa => 'ariana',
arianaan => 'ariana',
ariannayour => 'arianna',
arielstormx => 'ariel',
armano => 'arman',
ashleyallow => 'ashley',
ashleybabyleo => 'ashley',
ashleydiamond => 'ashley',
ashliee => 'ashlie',
atyna => 'tyna',
aubreemac => 'aubree',
aubreyxo => 'aubrey',
audreys => 'audrey',
auriana => 'auria',
avabellaa => 'abella',
availblesarah => 'sarah',
axelleroyal => 'axelle',
ayakikidollz => 'aya,kiki',
ayaxmina => 'aya,mina',
babbbybella => 'bella',
babysheila => 'sheila',
baileyjane => 'bailey',
baileyy => 'bailey',
beckyand => 'becky',
bellaarosexxoo => 'bellaa',
bellabandz => 'bella',
belladollbae => 'bella',
bellafrmwpg => 'bella',
bellanew => 'bella',
bellaroyce => 'bella',
bellinadopsgmail => 'bellina',
berthajena => 'bertha,jena',
biancaaa => 'biancaa',
biancabrazilian => 'bianca',
biancamilaniincall => 'bianca',
biankaswool => 'bianka',
bilinda => 'linda',
blazeaminakekeabbycierakacey => 'blaze,amina,keke,abby,ciera,kacey',
blazeaminakekeabbycierakacey => 'blaze,amina,keke,abby,ciera,kacey',
bolanda => 'bola',
brandybelle => 'brandy',
briannaallow => 'brianna',
briannai => 'brianna',
briannas => 'brianna',
brianny => 'briann',
brinaa => 'brina',
brittanybunz => 'brittany',
brittanylove => 'brittany',
brittanyy => 'brittany',
brooklynbanks => 'brooklyn',
brooklynbankss => 'brooklyn',
brooklynbankss => 'brooklyn',
brytannie => 'annie',
bustyeva => 'eva',
bustyjasmine => 'jasmine',
caatlina => 'catalina',
caitlind => 'caitlin',
cameliadolly => 'camelia',
cameliathank => 'camelia',
camii => 'cami',
camilaa => 'camila',
camillais => 'camilla',
candyim => 'candy',
carissamassage => 'carissa',
carissamassage => 'carissa',
carlababy => 'carla',
carlielast => 'carlie',
carlye => 'carly',
carlymegs => 'carly',
carriesvip => 'carrie',
carrissalove => 'carrissa',
cassidyi => 'cassidy',
cassidysabella => 'cassidy',
cassiei => 'cassie',
cassii => 'cassi',
cassxoux => 'cass',
cassyje => 'cassy',
catalias => 'catalia',
catalinasexy => 'catalina',
cataraqui => 'catara',
cathey => 'cathe',
cathya => 'cathy',
caysieready => 'caysie',
cecellia => 'cece',
celestia => 'celest',
celialaputana => 'celia',
celinai => 'celina',
celinedjouah => 'celine',
chaneli => 'chanel',
chanelnew => 'chanel',
chanelrelax => 'chanel',
chanelyyc => 'chanel',
chantelim => 'chantel',
charliedee => 'charlie',
charlotteharley => 'charlotte',
chelseasquirt => 'chelsea',
cherrypoppinnsx => 'cherry',
chloebabydollz => 'chloe',
chloebrulottexo => 'chloe',
chloeclairexox => 'chloe',
chloeey => 'chloee',
chloehiltonox => 'chloe',
chloeivyy => 'chloe,ivy',
chloeluxx => 'chloe',
chloetaylor => 'chloe',
chloeyxxx => 'chloey',
chriistinakissim => 'chriistina',
chrisine => 'chris',
christalsensual => 'christal',
christiei => 'christie',
christieplease => 'christie',
christystene => 'christy',
christyyy => 'christy',
ciarai => 'ciara',
ciaraxox => 'ciara',
ciciexy => 'cici',
cindia => 'cindi',
cindycindy => 'cindy',
cindycoco => 'cindy,coco',
claracolema => 'clara',
claragauti => 'clara',
clarissamonth => 'clarissa',
cleoyour => 'cleo',
cougarnikki => 'nikki',
cougarnikkixo => 'nikki',
cristelle => 'cristelle',
csophia => 'sophia',
cyndii => 'cyndi',
cynthiaj => 'cynthia',
dahliaaa => 'dahlia',
daisya => 'daisy',
daniele => 'daniel',
danilla => 'nilla',
dayshalove => 'daysha',
dayshalove => 'daysha',
destinyshay => 'destiny,shay',
diamondim => 'diamond',
dianabrazilian => 'diana',
dirtydiana => 'diana',
djina => 'jina',
ebonyjuelz => 'ebony',
elenabeautiful => 'elena',
elenastop => 'elena',
elinaox => 'elina',
ellaxo => 'ella',
ellyelysium => 'elly',
emiliaasian => 'emilia',
emiliaasian => 'emilia',
emiliei => 'emilie',
emiliia => 'emilia',
emilyyy => 'emilyy',
emmaaa => 'emmaa',
emmaleestoc => 'emmalee',
emmaleestouchofclass => 'emmalee',
emmamendezluv => 'emma',
emmawould => 'emma',
emmaxcalgary => 'emma',
emymisang => 'misa',
erikasexgoddess => 'erika',
erikathe => 'erika',
ermoni => 'moni',
evacurvybbw => 'eva',
evai => 'eva',
evalatina => 'eva',
evalove => 'eva',
evamay => 'eva',
evaqueen => 'eva',
evedoll => 'eve',
evelynmay => 'evelyn',
everleighmay => 'everleigh',
evesinner => 'eve',
eviannas => 'evianna',
farrahcome => 'farrah',
fatimaur => 'fatima',
fidelia => 'delia',
fideliamorgane => 'fidelia',
fideliamorgane => 'morgane',
fionaa => 'fiona',
freakyanna => 'kyanna',
freddygurl => 'freddy',
gabii => 'gabi',
gabrielasweet => 'gabriela',
gabriellaopulon => 'gabriella',
giannabentley => 'giana',
gigii => 'gigi',
gingerlethbridge => 'ginger',
gloriousdana => 'dana',
goddesskitana => 'kitana',
gurishacum => 'gurisha',
haileyy => 'hailey',
haleyyyyy => 'haley',
hasley => 'asley',
hazels => 'hazel',
helenaje => 'helena',
heloise => 'eloise',
heyboysitsmaylaa => 'maylaa',
highnessathena => 'athena',
hollyhardwood => 'holly',
hotsana => 'sana',
irresistiblemelanie => 'melanie',
isamanda => 'amanda',
isanna => 'anna',
isdaisy => 'daisy',
ishani => 'shani',
isjenni => 'jenni',
isjulia => 'julia',
isnikkie => 'nikkie',
issabrina => 'sabrina',
ivaunna => 'iva',
ivoreedior => 'ivoree',
jackiegilcrest => 'jackie',
jaclynbabyxo => 'jaclyn',
jamiee => 'jamie',
janafox => 'jana',
janafoxje => 'jana',
janelletasty => 'janelle',
janellle => 'janelle',
janespicy => 'jane',
jasminejas => 'jasmine',
jasminelet => 'jasmine',
jasmineready => 'jasmine',
jasminereyyeg => 'jasmine',
jasminevanier => 'jasmine',
jassyyy => 'jassy',
jayvalentinexo => 'jay',
jayy => 'jay',
jazminejoy => 'jazmine',
jazzii => 'jazzi',
jazzyi => 'jazzy',
jenasmithsteffani => 'jena,steffani',
jenbaby => 'jen',
jeniferi => 'jenifer',
jenkinsjane => 'jane',
jennaallow => 'jenna',
jennacome => 'jenna',
jenniburgacia => 'jenni',
jenniburgasia => 'jenni',
jenniferlove => 'jennifer',
jennn => 'jenn',
jennyallow => 'jenny',
jennyeverheart => 'jenny',
jennyi => 'jenny',
jennyit => 'jenny',
jennyit => 'jenny',
jennyluvv => 'jenny',
jesiica => 'jessica',
jessicacome => 'jessica',
jessicaflower => 'jessica',
jessicai => 'jessica',
jessicaim => 'jessica',
jessicaim => 'jessica',
jessicakimdrie => 'jessica',
jessicalova => 'jessica',
jessicaroyxxx => 'jessica',
jessicastop => 'jessica',
jessics => 'jessica',
jessiie => 'jessi',
jessiqc => 'jessi',
jessitaliann => 'jess',
jessixo => 'jessi',
jessynudesxox => 'jessy',
jhena => 'jhen',
jhobanka => 'anka',
jiaa => 'jia',
jjenny => 'jenny',
joanadelor => 'joana',
jobanka => 'anka',
jocelinelouk => 'joceline',
joellesaudrais => 'joelle',
joianitarampa => 'anita',
juicyjessicaflower => 'jessica',
juicyjessicas => 'jessica',
juliabarbie => 'julia',
julialangloisx => 'julia',
juliathe => 'julia',
juliaviens => 'julia',
juliei => 'julie',
julienne => 'julien',
julienneblonde => 'julienne',
julietjones => 'juliet',
julietteje => 'juliette',
juliettelalana => 'juliette',
kaiyshia => 'kaiysia',
kamyelle => 'kamy',
kanaella => 'aella',
kandiixo => 'kandii',
kandymillionxxx => 'kandy',
karaleigh => 'kara',
karalina => 'alina',
karinaa => 'karina',
karinaaa => 'karina',
karinaaa => 'karina',
karinariviera => 'karina',
karinebusier => 'karine',
karminn => 'karmin',
karsyncoxx => 'arsyn',
kathel => 'kathe',
katiathe => 'katia',
katiyah => 'katiya',
katrynathe => 'katryna',
katykrush => 'katy',
katymy => 'katy',
kaylacocoe => 'kayla',
kaylahs => 'kaylah',
kaylawilliams => 'kayla',
kaylebarbie => 'kayle',
kaylebarbieluxxcolombian => 'kayle',
kaylinim => 'kaylin',
kaytkutie => 'kayt',
keashaa => 'keasha',
keishaaaa => 'keisha',
kelliee => 'kellie',
kellybeautiful => 'kelly',
kellyboo => 'kelly',
kellyless => 'kelly',
kellysexy => 'kelly',
kendallcoxxox => 'kendall',
kendraa => 'kendra',
kendrapictures => 'kendra',
kenzieand => 'kenzie',
kenzii => 'kenzi',
keshaa => 'kesha',
keshaaaaaa => 'kesha',
khelana => 'elana',
khloefun => 'khloe',
kiarai => 'kiara',
kikii => 'kiki',
kimberlycome => 'kimberly',
kimberlyif => 'kimberly',
kimmyyy => 'kimmy',
kiraa => 'kira',
kourtneyyoung => 'kourtney',
krissys => 'krissy',
kristinaa => 'kristina',
krystall => 'krystal',
kylaa => 'kyla',
kylaaa => 'kyla',
kyleeane => 'kylee',
kyliegot => 'kylie',
kyliei => 'kylie',
kyliekummings => 'kylie',
kyliexxxdoll => 'kylie',
kyliexxxdollonlyfans => 'kylie',
kyrah => 'kyra',
kyrai => 'kyra',
kyshaa => 'kysha',
laladoll => 'lala',
lanaarcher => 'lana',
lanaarcher => 'lana',
lanaparty => 'lana',
lauraa => 'laura',
lauranadeauet => 'laura',
laurencefoxxx => 'laurence',
lauria => 'lauri',
laurynand => 'lauryn',
layanaexotic => 'layana',
laylabeautiful => 'layla',
laylai => 'layla',
laylalane => 'layla',
leahlaurence => 'leah',
leahlebrunvip => 'leah',
leenash => 'leena',
leinah => 'leina',
lenaaaaa => 'lenaa',
lenax => 'lena',
lesecretdelya => 'delya',
lexiecaldera => 'lexie',
lexiiryder => 'lexii',
lexxxaa => 'lexxxa',
lexxyy => 'lexxy',
leylaaxx => 'leylaa',
leylaaxxx => 'leylaa',
liaa => 'lia',
liaxxluna => 'lia',
lilahback => 'lilah',
lilithblair => 'lilith',
lilixox => 'lili',
lillygrace => 'lilly',
lillyje => 'lilly',
lillynew => 'lilly',
lilyai => 'lily',
lilyfatale => 'lily',
lilyreal => 'lily',
lilysexxx => 'lily',
lilyyy => 'lily',
lindai => 'linda',
lisaim => 'isai',
lisaje => 'lisa',
liviabaez => 'livia',
livianna => 'vianna',
livinna => 'liv',
lizz => 'liz',
lkaylenn => 'kaylen',
lkaylenn => 'kaylen',
llacey => 'lacey',
lliyah => 'liyah',
lolaaand => 'lolaa',
lolabunnyxx => 'lola',
lolaclick => 'lola',
lolaoutcall => 'lola',
lolaxx => 'lola',
lolitaaaa => 'lolita',
lolitaif => 'lolita',
lolitaxox => 'lolita',
londonjane => 'jane',
lorii => 'lori',
lovelybonnie => 'bonnie',
lsasha => 'sasha',
lucianaluther => 'luciana',
lucianasmit => 'luciana',
luciaox => 'lucia',
lucii => 'luci',
luicieje => 'luicie',
maddii => 'maddi',
maddye => 'maddy',
maddyy => 'maddy',
madisoni => 'madison',
madissonthe => 'madisson',
maellemerchide => 'maelle',
maevatropez => 'maeva',
makaylaa => 'makayla',
malayaaa => 'malaya',
mariaa => 'maria',
mariaallow => 'maria',
mariaamamii => 'maria',
mariahkinky => 'mariah',
marianecoconut => 'mariane',
mariasexyand => 'maria',
mariathe => 'maria',
mariawelcome => 'maria',
mariette => 'marie',
mariexo => 'marie',
marilyns => 'marilyn',
marylayla => 'mary,layla',
marylineje => 'maryline',
marylineje => 'maryline',
maryssakaramilk => 'maryssa',
matureanna => 'anna',
maxinne => 'maxi',
mayai => 'maya',
mayayou => 'maya',
meetlilyfox => 'lily',
meganoutcall => 'megan',
meganspecial => 'megan',
megantu => 'megan',
meghanyoung => 'meghan',
mehailey => 'hailey',
meiii => 'mei',
melanielabell => 'melanie',
melanii => 'melani',
melibabyyy => 'meli',
meliiii => 'meli',
melinatime => 'melina',
melisaa => 'melisa',
melissabarbie => 'melissa',
melissabebeblue => 'melissa',
melissabelle => 'melissa',
melissai => 'melissa',
melissaif => 'melissa',
melissaxo => 'melissa',
melvinaduval => 'melvin',
melynaboss => 'melyna',
metallia => 'tallia',
mevanessa => 'vanessa',
miaclick => 'mia',
miaobaosexyloveriswaitigforyou => 'mia',
miashort => 'mia',
miasylvia => 'sylvia',
miaxxx => 'mia',
micola => 'mico',
miiaa => 'miia',
mikenufford => 'mike',
milaaa => 'milaa',
milaje => 'mila',
millaa => 'milla',
millaclassy => 'milla',
millamixed => 'milla',
millylillylove => 'millylilly',
mimii => 'mimi',
mimiim => 'mimi',
missaron => 'aron',
missava => 'ava',
misscleo => 'cleo',
missjustinevip => 'justine',
misslaylalynx => 'layla',
missmelyssa => 'melyssa',
misssdivaa => 'diva',
misstaylor => 'taylor',
misstaylorwoods => 'taylor',
misstiffanybangz => 'tiffany',
misstsalicia => 'alicia',
missvalarievixxxen => 'valarie',
missxxxtalia => 'talia',
mistressangeliq => 'angeliq',
mistresscarmeli => 'carmeli',
mistresseryka => 'eryka',
mizzgizzabelle => 'gizzabelle',
mmariana => 'mariana',
mmariana => 'mariana',
mollyclick => 'molly',
mollygrande => 'molly',
mollyssa => 'molly',
mollyyy => 'molly',
monalisahoweb => 'monalisa',
monicai => 'monica',
monicaliamy => 'monica',
monikream => 'monik',
moniquesexy => 'monique',
monroesky => 'monroe',
morganwilder => 'morgan',
mslondyncarter => 'londyn',
mslunawinter => 'luna',
msmanda => 'manda',
msolivialuxx => 'olivia',
msolivialuxxsultryhigh => 'olivia',
msolivialuxxyour => 'olivia',
msolivivaluxx => 'viva',
msolivivaluxxhigh => 'oliviva',
myaaaa => 'myaaa',
myalustxxx => 'mya',
nadiadiorrr => 'nadia',
najatishakhshir => 'naja',
nanai => 'nana',
nancya => 'nancy',
naomiexlenena => 'naomie',
naomiexxxx => 'naomie',
nataliacontact => 'natalia',
nataliei => 'natalie',
nataliyapremium => 'nataliya',
nataliyapremium => 'nataliya',
natashaavailable => 'natasha',
natashaavailable => 'natasha',
natashai => 'natasha',
natashai => 'natasha',
natashaim => 'natasha',
natashquan => 'natash',
natej => 'nate',
naturalbianca => 'bianca',
naturalclara => 'clara',
naturalella => 'ella',
naturaljadia => 'jad',
naturalluna => 'luna',
naturalmaya => 'maya',
naturalmelissa => 'melissa',
naturalmisha => 'misha',
naturalnadia => 'nadia',
naughtynalaa => 'nalaa',
naughtynatalia => 'natalia',
naughtyneena => 'neena',
naughtynicki => 'nicki',
naughtysara => 'sara',
nellyavailable => 'nelly',
nickiiii => 'nickiii',
nickyservice => 'nicky',
nickyy => 'nicky',
nicohellol => 'nico',
nicolelooking => 'nicole',
nikkirose => 'nikki',
nikkithe => 'nikki',
nikkiyour => 'nikki',
nikkyje => 'nikky',
ninadavibe => 'ninada',
ninaduoavailable => 'nina',
ninalet => 'nina',
nnaomi => 'naomi',
nomii => 'nomi',
novalee => 'nova',
novaskye => 'nova',
nowgigi => 'gigi',
nsmelanierose => 'melanie',
nyahh => 'nyah',
odettenice => 'odette',
olivaluxx => 'oliva',
oliviaaashineee => 'oliviaa',
oliviaaashineee => 'oliviaa',
oliviaarose => 'oliviaa',
olivialuxx => 'olivia',
oliviasiun => 'olivia',
olivid => 'oliv',
oliviiarosexo => 'oliviia',
olliesparksmtl => 'ollie',
onlyraine => 'raine',
opehlia => 'ophelia',
orelie => 'elie',
pamelaqu => 'pamela',
pamelaxx => 'pamela',
parisjade => 'paris',
partygirllayla => 'layla',
patricaduo => 'patrica',
patriciadisponible => 'patricia',
paulaa => 'paula',
paulline => 'pauline',
paytonparker => 'payton',
pdollyxox => 'dolly',
peggyfind => 'peggy',
peggys => 'peggy',
phoebeefinesse => 'phoebe',
phoenixclick => 'phoenix',
playmatekatrina => 'katrina',
pmameesha => 'meesha',
pmaudrey => 'audrey',
pmazura => 'azura',
pmdaria => 'daria',
pmellie => 'ellie',
pmizabella => 'izabella',
pmnatalia => 'natalia',
pmolivia => 'olivia',
pmsalma => 'salma',
pmsavannah => 'savannah',
pmshaylan => 'shaylan',
pmtaya => 'taya',
pmvanessa => 'vanessa',
princessjazmine => 'jazmine',
priyaa => 'priya',
priyank => 'priyanka',
pussylaya => 'laya',
queenkelly => 'kelly',
queenlexa => 'lexa',
quinnnnn => 'quin',
rachelleallow => 'rachelle',
ranita => 'anita',
raynalovexxx => 'rayna',
rickysuave => 'ricky',
rileyxxxrated => 'riley',
rizalina => 'alina',
romane => 'roman',
rondaashley => 'ronda,ashley',
rosal => 'rosa',
rosaliexx => 'rosalie',
rosaliexx => 'rosalie',
rosalyje => 'rosaly',
rosalyje => 'rosaly',
roseif => 'rose',
roxanato => 'roxana',
roxsana => 'roxsana',
roxxyy => 'roxxy',
rubyduna => 'ruby',
rubyi => 'ruby',
rubyrozalle => 'ruby',
rubyv => 'ruby',
rubyyes => 'ruby',
rumibaby => 'rumi',
sabii => 'sabi',
sabrinadi => 'sabrina',
sabrinaje => 'sabrina',
sabrinastar => 'sabrina',
sama => 'sam',
samaira => 'maira',
samanthacreams => 'samantha',
samanthacreams => 'samantha',
samanthadollxxx => 'samantha',
samanthadollxxx => 'samantha',
samanthai => 'samantha',
samanthaknoxx => 'samantha',
samanthan => 'samantha',
samanthan => 'samantha',
samirategomez => 'samira',
sammyssweets => 'sammy',
sammythe => 'sammy',
sammyxxx => 'sammy',
samypetite => 'samy',
sandyaa => 'sandy',
santinaaa => 'santina',
saradoll => 'sara',
sarahbeautiful => 'sarah',
sarahclick => 'sarah',
sarahlaval => 'sarah',
sarahlee => 'sarah',
sarahmy => 'sarah',
sarahstephaine => 'sarah,stephaine',
sashababy => 'sasha',
sashaescoco => 'sasha',
sashaescoco => 'sasha',
sashaim => 'sashai',
sashaje => 'sasha',
sashakorean => 'sasha',
sasharoan => 'sasha',
selenathe => 'selena',
selynaare => 'selyna',
sensationalserena => 'serena',
sequoiaxjackson => 'sequoia',
seximya => 'mya',
sexxiilexxii => 'lexxii',
sexychanelly => 'chanell',
sexylexi => 'lexi',
sexylexy => 'lexy',
sexyyjenny => 'jenny',
shaelynn => 'shaelyn',
shannias => 'shannia',
shanniaspinner => 'shannia',
shannontweet => 'shannon',
shantiemtl => 'shanti',
shasa => 'asa',
shaybj => 'shay',
shirleyvanilla => 'shirley',
shylai => 'shyla',
sierrarose => 'sierra',
sierrawilde => 'sierra',
sinfullexii => 'lexii',
sinfultorixxx => 'tori',
skarlett => 'skarlet',
skarly => 'karly',
skylarr => 'skylar',
skylermack => 'skyler',
skyvalentinexx => 'sky',
snapchatoliviialovee => 'oliviia',
snowbonny => 'bonny',
sofii => 'sofi',
sophiabella => 'sophia',
sophialove => 'sophia',
sophiamtl => 'sophia',
sophiein => 'sophie',
ssamia => 'samia',
sstephanie => 'stephanie',
staciexx => 'stacie',
stacyparty => 'stacy',
stacysuper => 'stacy',
stacyy => 'stacy',
stephanya => 'stephany',
stephinee => 'stephine',
stephyy => 'stephy',
stttellara => 'stellara',
suizanebby => 'suizane',
sukiyoung => 'suki',
suzanerussell => 'suzane',
sweetelena => 'elena',
sweetsandra => 'sandra',
syhanna => 'hanna',
taaliyahaphrodite => 'taaliyaaphrodite',
taaliyahaphrodite => 'taaliyah',
taaliyahaphrodite => 'taaliyah',
taaliyahbaby => 'aaliyah',
taaliyahbaby => 'taaliyah',
taaliyahbaby => 'taaliyah',
taliaxoxoclick => 'talia',
taliaxxxx => 'talia',
tamaraebiotutu => 'tamara',
tanakissim => 'tana',
taniaje => 'tania',
taralee => 'tara',
tasteetaylornew => 'taylor',
taylori => 'taylor',
taylorwoods => 'taylor',
tayxtaylorxo => 'taylor',
tayy => 'tay',
telliebabyxox => 'tellie',
tiaaa => 'tiaa',
tiaand => 'tiaa',
tiaarayne => 'tia',
tiaaraynee => 'tia',
tiamaria => 'tia',
tianacarter => 'tiana',
tiannai => 'tianna',
tiaraplease => 'tiara',
tifyand => 'tify',
tinagot => 'tina',
tinai => 'tina',
tinanew => 'tina',
tinaparty => 'tina',
tinawoods => 'tina',
tinytina => 'tina',
trinityy => 'trinity',
tsgenevieve => 'genevieve',
tsmiafox => 'mia',
twylamy => 'twyla',
uriellacoal => 'uriella',
valentinai => 'valentina',
valentinai => 'valentina',
valentinaxo => 'valentina',
valeriathick => 'valeria',
valeriequeenti => 'valerie',
vanessai => 'vanessa',
vanessalet => 'vanessa',
vanessariquier => 'vanessa',
veronicaatf => 'veronicaa',
veronicaluv => 'veronica',
veroniqueje => 'veronique',
vickyj => 'vicky',
vickys => 'vicky',
vickyyyy => 'vickyy',
vivianenwe => 'viviane',
vronni => 'ronni',
wellhungbella => 'bella',
xiomixoxo => 'xiomi',
xlexilovex => 'lexilove',
xnicolex => 'nicole',
xokandy => 'kandy',
xostefania => 'stefania',
xoxojennifer => 'jennifer',
xoxopaula => 'paula',
xshantiex => 'shanti',
xtinarain => 'xtina',
xxameliyababy => 'ameliya',
xxevexx => 'eve',
xxkelly => 'kelly',
xxokelly => 'kelly',
xxpaigexx => 'paige',
xxxcchanelxx => 'chanel',
xxxcchanelxxx => 'chanel',
xxxjenn => 'jenn',
xxxmallory => 'mallory',
yahyah => 'yahya',
yanmy => 'yan',
yasminefrom => 'yasmine',
yukijapanese => 'yuki',
yukisexy => 'yuki',
yumikolove => 'yumiko',
yumiwho => 'yumi',
zaraand => 'zara',
zaviwh => 'zavi',
zoee => 'zoe',
zoepetite => 'zoe',
zoeyi => 'zoey',
);
 
our %counts = (
ayakikidollz => 2,
ayaxmina => 2,
berthajena => 2,
blazeaminakekeabbycierakacey => 6,
chloeivyy => 2,
cindycoco => 2,
destinyshay => 2,
jenasmithsteffani => 2,
marylayla => 2,
rondaashley => 2,
sarahstephaine => 2,
);

sub get {
    my ($pat) = @_;
    return $pat unless defined $map{$pat};
    return $map{$pat};
}

sub count {
    my ($pat) = @_;
    return 1 unless defined $map{$pat};
    return $counts{$pat} if defined $counts{$pat};
    my @names = split ",", $map{$pat};
    return scalar @names;
}

1;

